Search Unity

  1. Unity support for visionOS is now available. Learn more in our blog post.
    Dismiss Notice

Resolved Unity no longer recognizes VS Code

Discussion in 'Code Editors & IDEs' started by AnimeDaun, Oct 28, 2023.

  1. AnimeDaun

    AnimeDaun

    Joined:
    Aug 8, 2021
    Posts:
    2
    UnityVSCode.PNG
    Unity no longer recognizes VS Code, and as a result, code errors are no longer being displayed. However, it still recognizes Visual Studio 2022. I have reinstalled various versions of VS Code, but Unity still doesn't recognize it.
    VS Code version - 1.83.1
    Unity Hub version - 3.6.0
    Unity version - 2022.3.7f1
     
  2. bugfinders

    bugfinders

    Joined:
    Jul 5, 2018
    Posts:
    1,405
    i thought unity dropped the vscode support a while back, in that the package to make it work properly was no longer available
     
  3. CodeSmile

    CodeSmile

    Joined:
    Apr 10, 2014
    Posts:
    4,994
    I do not recognize VSCode as a code editor either. :D

    Anyway, countless issues with VSCode set aside, given your current Unity version you should know that the VSCode package developed by Unity has been deprecated and is no longer available. Microsoft in turn has published their own VSCode package for Unity, but that is still in preview, so you need to enable preview packages in Package Manager settings to get that.

    Once you have done so, install VSCommunity and use a proper IDE that has at least a "countable" number of issues. :p

    If you are serious about software development for Unity, your go-to tool would be Jetbrains Rider.
     
  4. AnimeDaun

    AnimeDaun

    Joined:
    Aug 8, 2021
    Posts:
    2
    Thank you, installing the Unity package extension and updating Visual Studio Editor helped.

    P.S. I like VS Code because it's not system-demanding.
     
  5. Ryiah

    Ryiah

    Joined:
    Oct 11, 2012
    Posts:
    20,709
    bugfinders likes this.